org.keycloak.provider

## Class ConfigurationValidationHelper

- java.lang.Object
- - org.keycloak.provider.ConfigurationValidationHelper

-     public class ConfigurationValidationHelper
      extends Object

  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigurationValidationHelper` | `check(ComponentModel model)`
    `ConfigurationValidationHelper` | `checkBoolean(ProviderConfigProperty property, boolean required)`
    `ConfigurationValidationHelper` | `checkBoolean(String key, String label, boolean required)`
    `ConfigurationValidationHelper` | `checkInt(ProviderConfigProperty property, boolean required)`
    `ConfigurationValidationHelper` | `checkInt(String key, String label, boolean required)`
    `ConfigurationValidationHelper` | `checkList(ProviderConfigProperty property, boolean required)`
    `ConfigurationValidationHelper` | `checkLong(ProviderConfigProperty property, boolean required)`
    `ConfigurationValidationHelper` | `checkLong(String key, String label, boolean required)`
    `ConfigurationValidationHelper` | `checkRequired(ProviderConfigProperty property)`
    `ConfigurationValidationHelper` | `checkRequired(String key, String label)`
    `ConfigurationValidationHelper` | `checkSingle(ProviderConfigProperty property, boolean required)`
    `ConfigurationValidationHelper` | `checkSingle(String key, String label, boolean required)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### check

          public static ConfigurationValidationHelper check(ComponentModel model)

    - #### checkInt

          public ConfigurationValidationHelper checkInt(ProviderConfigProperty property,
                                                        boolean required)
                                                 throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkList

          public ConfigurationValidationHelper checkList(ProviderConfigProperty property,
                                                         boolean required)
                                                  throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkInt

          public ConfigurationValidationHelper checkInt(String key,
                                                        String label,
                                                        boolean required)
                                                 throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkLong

          public ConfigurationValidationHelper checkLong(ProviderConfigProperty property,
                                                         boolean required)
                                                  throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkLong

          public ConfigurationValidationHelper checkLong(String key,
                                                         String label,
                                                         boolean required)
                                                  throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkSingle

          public ConfigurationValidationHelper checkSingle(ProviderConfigProperty property,
                                                           boolean required)
                                                    throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkSingle

          public ConfigurationValidationHelper checkSingle(String key,
                                                           String label,
                                                           boolean required)
                                                    throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkRequired

          public ConfigurationValidationHelper checkRequired(ProviderConfigProperty property)
                                                      throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkRequired

          public ConfigurationValidationHelper checkRequired(String key,
                                                             String label)
                                                      throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkBoolean

          public ConfigurationValidationHelper checkBoolean(ProviderConfigProperty property,
                                                            boolean required)
                                                     throws ComponentValidationException

      Throws:
        `ComponentValidationException`

    - #### checkBoolean

          public ConfigurationValidationHelper checkBoolean(String key,
                                                            String label,
                                                            boolean required)

Copyright © 2020 JBoss by Red Hat. All rights reserved.